version: "3.2"
services:
  nginx-proxy:
    container_name: nginx
    image: nginx:latest
    expose:
      - "18089"
    ports:
      - "28089:28089"
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf
      - ./env.conf:/etc/nginx/env.conf
      - ./${SSL_CERT_PATH}:/etc/nginx/ca-cert.pem
      - ./${SSL_KEY_PATH}:/etc/nginx/ca-key.pem
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    depends_on:
      - artixcs-cardsmobile
    restart: always
  artixcs-cardsmobile:
    container_name: artixcs-cardsmobile
    image: dockerregistry.artix.su:2443/artixcs-cardsmobile:latest
    env_file: 
      - config.env
    expose:
      - "28078"
    volumes:
      - ${PWD}/log/artixcs-cardsmobile.log:/log
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    restart: always